Page MenuHomePhabricator

Keyboard settings disabled using the keyboard menu is not reflected in the Input Settings panel
Closed, ResolvedPublic

Description

After disabling Input methods from the keyboard menu, if the Input Settings panel is opened then the Input methods appear to be enabled.

Steps to Reproduce:

  1. From ULS -> Language Settings panel -> Input Settings, choose a language and keyboard method. Apply Settings. (Panel will be closed)
  2. Click on the 'Search' textbox at the top of the page
  3. Click on the keyboard icon displayed alongside the 'Search Textbox'
  4. Click on the 'Disable Input Methods' option in the bottom section to disable input methods
  5. Open ULS -> Language Settings panel -> Input Settings

Actual Result:

  1. Input settings displays that input methods are enabled. The last selected input method may also be still selected.

Expected Result:

  1. Input Settings panel should display input methods in a disabled state.

Version: master
Severity: major

Details

Reference
bz49148

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:48 AM
bzimport set Reference to bz49148.
Arrbee created this task.Jun 4 2013, 7:11 PM

Related URL: https://gerrit.wikimedia.org/r/67053 (Gerrit Change Ia7cd8c91e59360c80eb72fdf0a966bdb3ce52d27)

Arrbee added a comment.Jun 5 2013, 2:52 PM

Verified.

The expected results are now seen when the input tools are disabled from the keyboard menu. The input methods remain disabled when they are opened through the cog icon.